User visible changes in the firmware version 3.5.6 since version 3.5.5.

                             Highlights.

1. Bug indicating update of ephemeris from unhealthy satellites every
   few seconds has been fixed.

2. Bug checking validity of BeiDou ephemeris has been fixed.

3. RCV Client: implemented possibility to send identification string
   right after connection.

4. GLONASS Calibration option was required for GALILEO AltBOC
   tracking; now fixed.

5. Support for new TR_G2HDA board (a copy of TR_G2 rev.7 board)
   implemented, by TR_G2 firmware variant.

6. Bug in application of QZSS SAIF troposphere corrections that
   caused exceptions has been fixed.

7. TRIUMPH1 WLAN: fix receiver reboots when /par/net/wlan/ap/ssid is
   empty string.

8. TRE_XXX bards: fixed subtle bug in USB chip that may cause rare
   receive errors.

9. DUO: IMU problem when non-master antenna is not connected has been
   fixed.

10. TR_G2HDA rev.3 support implemented.

11.Bugs has been fixed: bad RTK solution with RTCM3.2 MSM3
   (1073,1083,...) messages and absence of RTK solution with RTCM3.2
   MSM1 and MSM2 (1071 & 1072, 1081 & 1082...) messages.

12, Bug has been fixed: absence of DGNSS solution with RTCM3.2 MSM1
    and MSM2 messages as well as with RTCM3.2 MSM1 only messages.

13. Bug in decoding of GALILEO I/NAV ephemeris during week rollover has
    been fixed.

14. PTP: implemented distribution of PTP time instead of UTC time.

15. PTP: fix single-step mode.

16. NTP: implemented leap warning.

17. RAIM algorithm has been modified for all update rates excluding
    100 Hz to exclude large number of satellites.

18. Bug has been fixed : averaged reference ARP position must take
    into account ARP-APC offset if it's known.

19. Problem in GLONASS calibrator has been fixed: now
    /par/calib/hard/use parameter can be set to 'y' even when
    calibration is not yet finished.

20. New antenna database has been imported <NGS-14/05/07=481>.

21. Support of not WGS-84 datum in the input DGPS and RTK corrections
    has been added as well as new parameter
    /par/rover/base/pos/got/datum.

22. RTCM2 bug has been fixed: transformation of GLONASS DGPS
    corrections specified in the last official RTCM2.3 standard has
    been implmeneted both for reference station and for rover. To
    achieve old behavior with zero transformation, set
    /par/rtcm/rover/ver and/or /par/rtcm/base/ver parameter to the new
    value "v2.4".

23. New value for parameters /par/rtcm/rover/ver and
    /par/rtcm/base/ver has been implemented: "v2.4". This version,
    RTCM2.4, of the standard specifies zero transformation of GLONASS
    DGPS corrections.

24. Satellite acquisition time has been slightly improved.

25. TTFF (Time To First Fix) has been improved for receivers with no
    battery-backed clock in GLONASS-only mode.

26. Application of tropospheric correction to computation of receiver
    velocity has been implemented.

27. Check of SBAS almanac health has been added to application of
    SBAS corrections. Corrections from any SBAS satellite are not
    now applied if corresponding bit in health data is set.

28. Selection of separate SBAS providers with new parameter
    "/par/pos/wd/sbas/provider" has been implemented.

29  Improved extrapolation of receiver clock when no solution is
    available.

30. Wrong value of "wna" field in GALILEO almanac during week rollover
    has been corrected.

31. TR_G3H rev.7: correct work with IMU_NEVA

32. /par/net/tcpcl/X/state: fix reporting of "dns" state when DNS
    request was already satisfied, and not reporting "dns" when DNS
    request was in progress.

33. Bug in the processing of Galileo almanac corrupting data integrity
    has been fixed.

34. Prevent firmware hang when "set,/par/reset,y" command is sent
    when file-system format is in progress.

35. Bugs in the processing of alert flags of GLONASS and Galileo data
    has been fixed.

36. Bug in the decoding of GPS and QZSS UTC and iono data has been fixed.


                      More Detailed Description
                (refer to GREIS for even more details)


                             1. Messages.

No changes.

                             2. Parameters.

2.1 New RCV Client parameter

RCV Client Identifier.

Name:        /par/net/tcpcl/X/rcv/id
Access:      rw
Type:        string[0..63]
Default:     ""
Description: This string will be sent to the server once, right after
             connection is established.

2.2 New parameter to select datum of input DGPS and RTK corrections.

Name:        /par/rover/base/pos/got/datum
Access:      rw
Type:        string[0..6]
Default:     "W84"
Description: this string is the name of datum which has been used
             on the base side to generate DGPS and RTK corrections.

2.3 Modified parameter "RTCM 2.x Version to Assume at the Rover"

Name:        /par/rtcm/rover/ver
Access:      rw
Type:        enumerated
Values:      v2.1,v2.2,v2.3,v2.4
Default:     v2.3
Description: This parameter allows you to use JAVAD GNSS receivers together with
             reference stations that transmit messages in the format specified
             by older versions of RTCM 2.x standard.

2.4 Modified parameter "RTCM 2.x Version to Use for RTCM 2.x Messages"

Name:        /par/rtcm/base/ver
Access:      rw
Type:        enumerated
Values:      v2.1,v2.2,v2.3,v2.4
Default:     v2.3
Description: This parameter allows you to use JAVAD GNSS receivers together with
             legacy thirdparty rover receivers that dont support higher
             versions of RTCM 2.x standard.

2.5 New parameters to select SBAS provider.

Name:    /par/pos/wd/sbas/provider
Access:  rw
Type:    array [0...15] of boolean
Values:  {y|n,...,y|n}
Default: {y,...,y}
Description: This parameter turns on/off SBAS providers.

Name:    /par/pos/wd/sbas/provider/N
Access:  rw
Type:    boolean
Values:  y|n
Default: y
Description: This parameter turns on/off N-th SBAS provider.


                             3. Options.

No changes.

                             4. Commands.

No changes.

<END>
